# Proxmox (debian 10) 

![](logo.png)

Before we start, you will need a Debian 10+ VPS (you can get one on digitalocean for example), if you prefer to use your own self hosted server, make sure that port 80 and 443 are correctly port forwarded so that the public ip points to the server and not the router. Once that's done, go and ssh into your debian 10 server. 

## **Initial Setup**
    
    
    apt update -y 
    apt upgrade -y
    apt install curl gnupg -y
    
    

Next go get a domain name you can use [DuckDNS](https://www.duckdns.org/) for that:

![](1.png)

Then test if the domain name points to your ip address correctly:

![](2.png)
    
    
    hostnamectl set-hostname proxmox.ech2.duckdns.org --static
    echo "10.1.1.10 proxmox.ech2.duckdns.org proxmox" | sudo tee -a /etc/hosts
    
    

Then we install the proxmox VE repository:
    
    
    wget -qO - http://download.proxmox.com/debian/proxmox-ve-release-6.x.gpg | sudo apt-key add -
    echo "deb http://download.proxmox.com/debian/pve buster pve-no-subscription" | sudo tee /etc/apt/sources.list.d/pve-install-repo.list
    
    sudo apt update && sudo apt dist-upgrade
    
    passwd
    #SET THE ROOT PASSWORD IF YOU HAVENT ALREADY ! 
    
    echo "deb http://download.proxmox.com/debian/ceph-nautilus buster main" | sudo tee /etc/apt/sources.list.d/ceph.list
    
    sudo apt install proxmox-ve postfix open-iscsi
    
    

if you don't have a mail server in your network, choose local only:

![](4.png)

Just hit enter at everything else during that last apt install command, and then reboot the system:
    
    
    sudo reboot now
    
    

Then just get to proxmox's web interface:

![](5.png)

Select PAM and login as the root user (we setup root's password earlier): 

![](3.png)

From here you're in the dashboard:

![](6.png)

Create a Linux Bridge called vmbr0:

![](7.png) ![](8.png)

## **Changing the Certificate**

## **VM Creation**

